GLS ShipIT 5.0.17 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter Class Reference

## Public Member Functions
String | getTrackID ()
void | setTrackID (String value)
String | getParcelNumber ()
void | setParcelNumber (String value)
String | getShipmentReference ()
void | setShipmentReference (String value)
String | getShipmentUnitReference ()
void | setShipmentUnitReference (String value)
String | getPartnerParcelNumber ()
void | setPartnerParcelNumber (String value)
String | getNationalParcelNumber ()
void | setNationalParcelNumber (String value)
Date | getCreationDate ()
void | setCreationDate (Date value)
PrintingOptions | getPrintingOptions ()
void | setPrintingOptions (PrintingOptions value)
ReturnOptions | getReturnOptions ()
void | setReturnOptions (ReturnOptions value)
CustomContent | getCustomContent ()
void | setCustomContent (CustomContent value)

## Protected Attributes
String | trackID
String | parcelNumber
String | shipmentReference
String | shipmentUnitReference
String | partnerParcelNumber
String | nationalParcelNumber
Date | creationDate
PrintingOptions | printingOptions
ReturnOptions | returnOptions
CustomContent | customContent

## Detailed Description

Request (input) parameters for relabelParcel request

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="TrackID" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber" minOccurs="0"/>
            <element name="ParcelNumber" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber" minOccurs="0"/>
            <element name="ShipmentReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber" minOccurs="0"/>
            <element name="ShipmentUnitReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber" minOccurs="0"/>
            <element name="PartnerParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="NationalParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="CreationDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
            <element name="PrintingOptions" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}PrintingOptions" minOccurs="0"/>
            <element name="ReturnOptions" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}ReturnOptions" minOccurs="0"/>
            <element name="CustomContent" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}CustomContent" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 61 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## Member Function Documentation

## ◆ getCreationDate()

Date eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.getCreationDate | ( |  | ) |

Gets the value of the creationDate property.

Returns
  possible object is String

Definition at line 238 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ getCustomContent()

CustomContent eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.getCustomContent | ( |  | ) |

Gets the value of the customContent property.

Returns
  possible object is CustomContent

Definition at line 310 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ getNationalParcelNumber()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.getNationalParcelNumber | ( |  | ) |

Gets the value of the nationalParcelNumber property.

Returns
  possible object is String

Definition at line 214 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ getParcelNumber()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.getParcelNumber | ( |  | ) |

Gets the value of the parcelNumber property.

Returns
  possible object is String

Definition at line 118 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ getPartnerParcelNumber()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.getPartnerParcelNumber | ( |  | ) |

Gets the value of the partnerParcelNumber property.

Returns
  possible object is String

Definition at line 190 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ getPrintingOptions()

PrintingOptions eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.getPrintingOptions | ( |  | ) |

Gets the value of the printingOptions property.

Returns
  possible object is PrintingOptions

Definition at line 262 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ getReturnOptions()

ReturnOptions eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.getReturnOptions | ( |  | ) |

Gets the value of the returnOptions property.

Returns
  possible object is ReturnOptions

Definition at line 286 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ getShipmentReference()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.getShipmentReference | ( |  | ) |

Gets the value of the shipmentReference property.

Returns
  possible object is String

Definition at line 142 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ getShipmentUnitReference()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.getShipmentUnitReference | ( |  | ) |

Gets the value of the shipmentUnitReference property.

Returns
  possible object is String

Definition at line 166 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ getTrackID()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.getTrackID | ( |  | ) |

Gets the value of the trackID property.

Returns
  possible object is String

Definition at line 94 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ setCreationDate()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.setCreationDate | ( | Date | value | ) |

Sets the value of the creationDate property.

Parameters

  value | allowed object is String

Definition at line 250 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ setCustomContent()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.setCustomContent | ( | CustomContent | value | ) |

Sets the value of the customContent property.

Parameters

  value | allowed object is CustomContent

Definition at line 322 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ setNationalParcelNumber()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.setNationalParcelNumber | ( | String | value | ) |

Sets the value of the nationalParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 226 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ setParcelNumber()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.setParcelNumber | ( | String | value | ) |

Sets the value of the parcelNumber property.

Parameters

  value | allowed object is String

Definition at line 130 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ setPartnerParcelNumber()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.setPartnerParcelNumber | ( | String | value | ) |

Sets the value of the partnerParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 202 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ setPrintingOptions()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.setPrintingOptions | ( | PrintingOptions | value | ) |

Sets the value of the printingOptions property.

Parameters

  value | allowed object is PrintingOptions

Definition at line 274 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ setReturnOptions()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.setReturnOptions | ( | ReturnOptions | value | ) |

Sets the value of the returnOptions property.

Parameters

  value | allowed object is ReturnOptions

Definition at line 298 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ setShipmentReference()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.setShipmentReference | ( | String | value | ) |

Sets the value of the shipmentReference property.

Parameters

  value | allowed object is String

Definition at line 154 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ setShipmentUnitReference()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.setShipmentUnitReference | ( | String | value | ) |

Sets the value of the shipmentUnitReference property.

Parameters

  value | allowed object is String

Definition at line 178 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ setTrackID()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.setTrackID | ( | String | value | ) |

Sets the value of the trackID property.

Parameters

  value | allowed object is String

Definition at line 106 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## Member Data Documentation

## ◆ creationDate

Date eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.creationDate
| protected

Definition at line 78 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ customContent

CustomContent eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.customContent
| protected

Definition at line 84 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ nationalParcelNumber

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.nationalParcelNumber
| protected

Definition at line 74 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ parcelNumber

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.parcelNumber
| protected

Definition at line 66 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ partnerParcelNumber

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.partnerParcelNumber
| protected

Definition at line 72 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ printingOptions

PrintingOptions eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.printingOptions
| protected

Definition at line 80 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ returnOptions

ReturnOptions eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.returnOptions
| protected

Definition at line 82 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ shipmentReference

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.shipmentReference
| protected

Definition at line 68 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ shipmentUnitReference

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.shipmentUnitReference
| protected

Definition at line 70 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

## ◆ trackID

String eu.gls_group.fpcs.v1.shipmentprocessing.types.RelabelParcelRequestParameter.trackID
| protected

Definition at line 64 of file gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/shipmentprocessing/types/RelabelParcelRequestParameter.java